summaryrefslogtreecommitdiff
path: root/games/openarena/openarena.SlackBuild
diff options
context:
space:
mode:
authorChess Griffin <chess@chessgriffin.com>2010-04-18 22:15:02 -0400
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-15 10:38:25 +0200
commit760cc1e315069f6206aa938fbb44c73a20b97d3d (patch)
tree707ee274d2c02e9ba618b6ff7c9a0e72a8a78b51 /games/openarena/openarena.SlackBuild
parent5a4f2c84d3fd2b274b289c447bb98d9baf7dc060 (diff)
downloadslackbuilds-760cc1e315069f6206aa938fbb44c73a20b97d3d.tar.gz
games/openarena: Updated for version 0.8.5.
Diffstat (limited to 'games/openarena/openarena.SlackBuild')
-rw-r--r--games/openarena/openarena.SlackBuild30
1 files changed, 16 insertions, 14 deletions
diff --git a/games/openarena/openarena.SlackBuild b/games/openarena/openarena.SlackBuild
index 839e431c0c..29a63ae8e5 100644
--- a/games/openarena/openarena.SlackBuild
+++ b/games/openarena/openarena.SlackBuild
@@ -24,9 +24,9 @@
PRGNAM=openarena
VERSION=${VERSION:-0.8.1}
-FINAL_VERSION=${FINAL_VERSION:-0.8.1} # Keep this for future patches
+FINAL_VERSION=${FINAL_VERSION:-0.8.5} # Keep this for future patches
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -34,7 +34,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="CHANGES COPYING CREDITS LINUXNOTES README WENEED \
+DOCS="CHANGES COPYING CREDITS LINUXNOTES README WENEED readme_085.txt \
$CWD/$PRGNAM.SlackBuild"
if [ "$ARCH" = "i486" ]; then
@@ -52,12 +52,12 @@ set -e # Exit on most errors
# Keep the following for future patches. Based on past history, this
# is inevitable.
-#if test ! -f "oa077-patch.zip"; then
-# echo "You need the oa77-patch.zip file in order to proceed."
-# echo "Please visit the OpenArena homepage and download the"
-# echo "patch file before continuing."
-# exit 1
-#fi
+if test ! -f "oa085p.zip"; then
+ echo "You need the oa085p.zip file in order to proceed."
+ echo "Please visit the OpenArena homepage and download the"
+ echo "patch file before continuing."
+ exit 1
+fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,7 +65,7 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
unzip -o $CWD/oa081.zip
# Keep the following for any future patches
-#unzip -o $CWD/oa077-patch.zip
+unzip -o $CWD/oa085p.zip
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -78,11 +78,11 @@ find . \
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
# Uncomment the next line to disable semi-nude models
-# rm -f baseoa/pak2-players-mature.pk3
+#rm -f baseoa/pak2-players-mature.pk3
install -D -m 0644 $CWD/openarena-server.desktop \
$PKG/usr/share/applications/openarena-server.desktop
@@ -96,8 +96,10 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
cp $DOCS $PKG/usr/doc/$PRGNAM-$FINAL_VERSION
find $PKG/usr/doc/$PRGNAM-$FINAL_VERSION -type f -exec chmod 0644 {} \;
-mkdir -p $PKG/usr/share/games/openarena/baseoa
-cp -a baseoa/* $PKG/usr/share/games/openarena/baseoa
+mkdir -p $PKG/usr/share/games/openarena/{baseoa,missionpack}
+cp -rf {baseoa,missionpack}/ $PKG/usr/share/games/openarena/
+#mkdir -p $PKG/usr/share/games/openarena/legacy
+#cp -a legacy/* $PKG/usr/share/games/openarena/legacy
find $PKG/usr/share/games/openarena/baseoa -type f -exec chmod 0644 {} \;
cp oa_ded{.i386,.x86_64} openarena{.i386,.x86_64} \
$PKG/usr/share/games/openarena